groovy.lang

## Interface GroovyInterceptable

All Superinterfaces:
  GroovyObject

    public interface GroovyInterceptable
    extends GroovyObject

Marker interface used to notify that all methods should be intercepted through the `invokeMethod` mechanism of `GroovyObject`.

Author:
  Guillaume Laforge

### Method Summary

### Methods inherited from interface groovy.lang.GroovyObject

`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`